Subject: Re: bug#72549: 29.4; menus do not work properly on wayland (pgtk)

From: Po Lu <[email-masked]>
Date: Sat, 07 Sep 2024 17:15:25 +0800

Eli Zaretskii <[email-masked]> writes:

> Ping!  How can we make some further progress here?
>
>> Date: Sat, 24 Aug 2024 16:17:12 +0200
>> Cc: [email-masked]
>> From: Sergio Callegari <[email-masked]>
>> 
>> Sorry for the delay.
>> 
>> Unfortunately cannot try with other compositors, only kwin.
>> 
>> Other gtk3 applications are mostly fine. Note that on the specific 
>> machine many things are slow. For instance typing with thunderbird shows 
>> some lag and minor hangs. However, one thing is being slow, bothering 
>> but acceptable, and some other thing is becoming incorrect as in opening 
>> the wrong menu.

Sorry for the belated response.  Thunderbird is unfortunately not a
"real" GTK 3 application, as it implements a custom GUI; rather I'm
interested in the behavior of the GTK menu bar widget under your
compositor, which is best tested with the `gtk3-demo-application'
program.